%define name		isorelax
%define version		0.1
%define cvsversion	20030108
%define release		0.20030108.3jpp_1rh
%define	section		free

Name:		%{name}
Summary:	Public interfaces useful for applications to support RELAX Core
Url:		http://iso-relax.sourceforge.net/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	MIT-style
Group:		Development/Libraries/Java
#Vendor:		JPackage Project
#Distribution:	JPackage
BuildArch:	noarch
Source0:	%{name}.%{cvsversion}.zip
Source1:	%{name}-build.xml
Source2:	isorelax-maven-project.xml
Source3:	isorelax-maven-project.xsd

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:	xercesjarv
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
Requires:	xerces-j2
Requires:	xml-commons-apis
Provides:	isorelax-bootstrap
Obsoletes:	isorelax-bootstrap
Obsoletes:	msv
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The ISO RELAX project is started to host the public interfaces 
useful for applications to support RELAX Core. But nowadays 
some of the stuff we have is schema language neutral.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -T -c -n %{name}-%{version}
unzip -q %{SOURCE0}
mkdir src
(cd src; unzip -q ../src.zip)
rm -f src.zip
cp %{SOURCE1} build.xml
mkdir test
cp %{SOURCE2} test
cp %{SOURCE3} test
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
rm -rf src/jp/gr/xml/relax/swift

%build
export CLASSPATH=$(build-classpath \
xercesjarv \
xerces-j2 \
xml-commons-apis \
)
ln -s $(find-jar xercesjarv) xercesjarv.jar
ant -Dbuild.sysclasspath=only release
CLASSPATH=isorelax.jar:$CLASSPATH
ant -Dbuild.sysclasspath=first ant-task-test

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc COPYING.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20030108.3jpp_1rh
- First Red Hat build

* Fri Apr 22 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20030108.3jpp
- Rebuild with standard version scheme

* Wed Aug 25 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20030108.2jpp
- Build with ant-1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20030108.1jpp
- First build from sources into free section
- Use xercesjarv instead of swift as verifier impl
